package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.ComProjectSub;
import com.yiboshi.science.param.dto.ComProjectSubDTO;
import com.yiboshi.science.param.query.ComProjectSubQueryVO;

import java.util.List;

/**
 * 附件目录表 DAO
 *
 * @author lkl
 * @version 2021-08-26
 */
public interface ComProjectSubDAO extends BaseMapper<ComProjectSub>, BaseDAO<ComProjectSubQueryVO, ComProjectSubDTO, ComProjectSub> {
    List<ComProjectSubDTO> getListByObjectId(String objectId);
}