package com.yiboshi.science.param.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class ProjectGroupScoreOrderDTO implements Serializable {

    /** 项目分组Id */
    private String groupId;
    /** 项目分组名称 */
    private String groupName;
    /** 项目分组序号 */
    private Integer displayOrder;
    /** 项目分组排序 */
    private Integer orderNo;
    /** 项目分Id */
    private String projId;
    /** 项目编号 */
    private String projNo;
    /** 项目名称 */
    private String projName;
    /** 二级学科 */
    private String knowledgeName;
    /** 所属市州单位 */
    private String unitName;
    /** 申报人 */
    private String personName;
    /** 申报单位 */
    private String appUnitName;
    /** 平均分 */
    private BigDecimal averageScore;
}
