package com.yiboshi.science.rest.v1;

import com.yiboshi.science.entity.ComProjectMembers;
import com.yiboshi.science.param.dto.ComProjectMembersDTO;
import com.yiboshi.science.param.query.ComProjectMembersQueryVO;
import com.yiboshi.science.rest.BaseController;
import com.yiboshi.science.service.ComProjectMembersService;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 功能：项目组成员表 接口
 * @author lkl
 * @version 2021-08-26
 */
@Api(tags = "com-project-members",description = "项目组成员表")
@RestController
@RequestMapping("/v1/science-admin/com-project-members")
public class ComProjectMembersController extends BaseController<ComProjectMembersService, ComProjectMembersQueryVO, ComProjectMembersDTO, ComProjectMembers> {

}