package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.ComProjectResults;
import com.yiboshi.science.param.dto.ComProjectResultsDTO;
import com.yiboshi.science.param.query.ComProjectResultsQueryVO;

import java.util.List;

/**
 * 预期成果 DAO
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComProjectResultsDAO extends BaseMapper<ComProjectResults> , BaseDAO<ComProjectResultsQueryVO,ComProjectResultsDTO, ComProjectResults> {
    List<ComProjectResultsDTO> getListByObjectId(String objectId);
    List<String> getArrayByObjectId(String objectId);
    List<String> getNameByObjectId(String objectId);
}