package com.yiboshi.science.service;
import com.yiboshi.science.base.BaseService;
import com.yiboshi.science.entity.ComSendingRecord;
import com.yiboshi.science.param.dto.ComSendingRecordDTO;
import com.yiboshi.science.param.query.ComSendingRecordQueryVO;

/**
 * 信息发送记录表 Service
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComSendingRecordService extends BaseService<ComSendingRecordQueryVO, ComSendingRecordDTO, ComSendingRecord> {
    /**
     * 短信发送记录
     *
     * @return
     */
     void record(String mobile,Integer state,Integer sendType);
}
